#
# spec file for package yast2-hardware-detection
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-hardware-detection
Version:        2.17.2
Release:        2.3.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-hardware-detection-2.17.2.tar.bz2

Prefix:         /usr

Group:          System/YaST
License:        GPL v2 or later
# obviously
BuildRequires:  gcc-c++
# needed for all yast packages
BuildRequires:  yast2-devtools
# autodocs
BuildRequires:  doxygen
# testsuite
BuildRequires:  dejagnu
# this is a yast plugin, needs core
BuildRequires:  yast2-core-devel
# liby2.la
BuildRequires:  blocxx-devel
# libycp.la wants libxcrypt.la
BuildRequires:  libxcrypt-devel
# libycp.la
BuildRequires:  openssl-devel
# da library
BuildRequires:  hwinfo-devel
# we check for hwinfo
BuildRequires:  pkg-config
Summary:        YaST2 - Hardware Detection Interface
# hwinfo-13.38: hw_fingerprint
Requires:       hwinfo >= 13.38

%description
This package contains the hardware detection library for YaST2.

%prep
%setup -n yast2-hardware-detection-2.17.2

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

rm $RPM_BUILD_ROOT/%{_libdir}/YaST2/plugin/libpy2ag_hwprobe.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/scrconf/*.scr
%{_libdir}/YaST2/plugin/libpy2ag_hwprobe.so.*
%{_libdir}/YaST2/plugin/libpy2ag_hwprobe.so
%doc %{prefix}/share/doc/packages/yast2-hardware-detection
%changelog
* Tue Sep 13 2011 mvidner@suse.cz
- Use pr_bios for .probe.bios so that smbios info is included
  (bnc#425059, bnc#716081).
- 2.17.2
* Wed Aug 13 2008 aschnell@suse.de
- fixed fibre channel resources
- 2.17.1
* Fri Jul 18 2008 aschnell@suse.de
- added fibre channel resources (fate #304333)
- 2.17.0
* Tue Feb  5 2008 fehr@suse.de
- fixed testsuite
- 2.16.1
* Tue Feb  5 2008 fehr@suse.de
- make it possible to set flags on hwinfo probing mode.
* Mon Nov 26 2007 mvidner@suse.cz
- Don't create /var/lib/hardware/LOCK with random mode.
- 2.16.0
* Wed Jul 25 2007 mzugec@suse.cz
- Enable WPA probing (reverted patch) (#279938)
- 2.15.8
* Mon Jul 16 2007 mvidner@suse.cz
- Added .probe.fingerprint (F301952).
- Re-enabled test suite.
- 2.15.7
* Thu Jun 14 2007 mvidner@suse.cz
- Disable WPA probing so that the WiFi connection is not interrupted
  (#279938).
- 2.15.6
* Mon Jun 11 2007 mzugec@suse.cz
- Added modalias to the hardware item map
- 2.15.5
* Tue Jun  5 2007 mvidner@suse.cz
- Added sysfs_id to the hardware item map (#208854).
- 2.15.4
* Thu Mar  1 2007 mvidner@suse.cz
- Fixed a bug in the last change that converted nearly
  all probes to disk probes.
- 2.15.3
* Wed Feb 28 2007 jsrain@suse.cz
- fixed more memory leaks when probing hardware (#249276)
- 2.15.2
* Tue Feb 27 2007 jsrain@suse.cz
- fixed memory leak when probing hardware (#249276)
- 2.15.1
* Tue Feb 27 2007 mvidner@suse.cz
- Added .probe.is_xen (#241564).
- 2.15.0
* Tue Nov 14 2006 mvidner@suse.cz
- Use pkg-config to determine libraries needed by hwinfo.
- Convenience: enable compilation with hwinfo < 13.6.
- Commented BuildRequires, removed unneeded hal-devel (required
  transitively).
- 2.14.0
* Fri Oct 13 2006 ro@suse.de
- do not link against libsysfs (not used anymore)
* Tue Oct 10 2006 fehr@suse.de
- add info about driver_module to ycp map (#211225)
- 2.13.5
* Mon Jul 31 2006 fehr@suse.de
- improve detection of modules dependencies of disks (#195116,#194111)
- add info about external disks to ycp map (#150744)
- 2.13.4
* Fri Feb  3 2006 jsuchome@suse.cz
- reduced BuildRequires
- 2.13.3
* Wed Jan 25 2006 mvidner@suse.cz
- Added "formfactor" to .probe.system (#145485).
- 2.13.2
* Mon Dec 19 2005 mvidner@suse.cz
- yast2-core killed libp2ystdio, no need to link it.
- Removed klibc from neededforbuild.
- 2.13.1
* Thu Sep 29 2005 visnov@suse.cz
- Initial version split off from yast2-core
- 2.13.0
